#include "run-time.h"

void _Init_environment_protocols_ () __attribute__((constructor));
void _Init_environment_protocols_ () {
  extern void _Init_Run_Time();
  extern void _Init_cl_();
  extern void _Init_memory_manager_();
  extern void _Init_collections_();
  extern void _Init_release_info_();
  extern void _Init_channels_();
  extern void _Init_system_();
  extern void _Init_file_source_records_();
  extern void _Init_source_records_();
  extern void _Init_io_();
  extern void _Init_common_dylan_();
  extern void _Init_dylan_();
  extern void _Init_environment_protocols__X_library_for_system();
  extern void _Init_environment_protocols__X_module_for_system();
  extern void _Init_environment_protocols__X_server_objects_for_system();
  extern void _Init_environment_protocols__X_ids_for_system();
  extern void _Init_environment_protocols__X_environment_objects_for_system();
  extern void _Init_environment_protocols__X_environment_options_for_system();
  extern void _Init_environment_protocols__X_compiler_objects_for_system();
  extern void _Init_environment_protocols__X_application_objects_for_system();
  extern void _Init_environment_protocols__X_application_and_compiler_objects_for_system();
  extern void _Init_environment_protocols__X_project_objects_for_system();
  extern void _Init_environment_protocols__X_name_objects_for_system();
  extern void _Init_environment_protocols__X_compiler_databases_for_system();
  extern void _Init_environment_protocols__X_machines_for_system();
  extern void _Init_environment_protocols__X_processes_for_system();
  extern void _Init_environment_protocols__X_applications_for_system();
  extern void _Init_environment_protocols__X_composite_objects_for_system();
  extern void _Init_environment_protocols__X_user_objects_for_system();
  extern void _Init_environment_protocols__X_foreign_objects_for_system();
  extern void _Init_environment_protocols__X_address_objects_for_system();
  extern void _Init_environment_protocols__X_register_objects_for_system();
  extern void _Init_environment_protocols__X_component_objects_for_system();
  extern void _Init_environment_protocols__X_dylan_objects_for_system();
  extern void _Init_environment_protocols__X_source_form_objects_for_system();
  extern void _Init_environment_protocols__X_expression_objects_for_system();
  extern void _Init_environment_protocols__X_definition_objects_for_system();
  extern void _Init_environment_protocols__X_thread_objects_for_system();
  extern void _Init_environment_protocols__X_namespace_objects_for_system();
  extern void _Init_environment_protocols__X_library_objects_for_system();
  extern void _Init_environment_protocols__X_module_objects_for_system();
  extern void _Init_environment_protocols__X_macro_objects_for_system();
  extern void _Init_environment_protocols__X_variable_objects_for_system();
  extern void _Init_environment_protocols__X_constant_objects_for_system();
  extern void _Init_environment_protocols__X_function_objects_for_system();
  extern void _Init_environment_protocols__X_domain_objects_for_system();
  extern void _Init_environment_protocols__X_type_objects_for_system();
  extern void _Init_environment_protocols__X_class_objects_for_system();
  extern void _Init_environment_protocols__X_slot_objects_for_system();
  extern void _Init_environment_protocols__X_local_variable_objects_for_system();
  extern void _Init_environment_protocols__X_breakpoint_objects_for_system();
  extern void _Init_environment_protocols__X_stack_frame_objects_for_system();
  extern void _Init_environment_protocols__X_restart_objects_for_system();
  extern void _Init_environment_protocols__X_condition_objects_for_system();
  extern void _Init_environment_protocols__X_duim_objects_for_system();
  extern void _Init_environment_protocols__X_compiler_warning_objects_for_system();
  extern void _Init_environment_protocols__X_code_execution_for_system();
  extern void _Init_environment_protocols__X_profiling_for_system();
  extern void _Init_environment_protocols__X_naming_for_system();
  extern void _Init_environment_protocols__X_channels_for_system();
  extern void _Init_environment_protocols__X_utils_for_system();
  extern void _Init_environment_protocols__X_library_for_user();
  extern void _Init_environment_protocols__X_module_for_user();
  extern void _Init_environment_protocols__X_server_objects_for_user();
  extern void _Init_environment_protocols__X_ids_for_user();
  extern void _Init_environment_protocols__X_environment_objects_for_user();
  extern void _Init_environment_protocols__X_environment_options_for_user();
  extern void _Init_environment_protocols__X_compiler_objects_for_user();
  extern void _Init_environment_protocols__X_application_objects_for_user();
  extern void _Init_environment_protocols__X_application_and_compiler_objects_for_user();
  extern void _Init_environment_protocols__X_project_objects_for_user();
  extern void _Init_environment_protocols__X_name_objects_for_user();
  extern void _Init_environment_protocols__X_compiler_databases_for_user();
  extern void _Init_environment_protocols__X_machines_for_user();
  extern void _Init_environment_protocols__X_processes_for_user();
  extern void _Init_environment_protocols__X_applications_for_user();
  extern void _Init_environment_protocols__X_composite_objects_for_user();
  extern void _Init_environment_protocols__X_user_objects_for_user();
  extern void _Init_environment_protocols__X_foreign_objects_for_user();
  extern void _Init_environment_protocols__X_address_objects_for_user();
  extern void _Init_environment_protocols__X_register_objects_for_user();
  extern void _Init_environment_protocols__X_component_objects_for_user();
  extern void _Init_environment_protocols__X_dylan_objects_for_user();
  extern void _Init_environment_protocols__X_source_form_objects_for_user();
  extern void _Init_environment_protocols__X_expression_objects_for_user();
  extern void _Init_environment_protocols__X_definition_objects_for_user();
  extern void _Init_environment_protocols__X_thread_objects_for_user();
  extern void _Init_environment_protocols__X_namespace_objects_for_user();
  extern void _Init_environment_protocols__X_library_objects_for_user();
  extern void _Init_environment_protocols__X_module_objects_for_user();
  extern void _Init_environment_protocols__X_macro_objects_for_user();
  extern void _Init_environment_protocols__X_variable_objects_for_user();
  extern void _Init_environment_protocols__X_constant_objects_for_user();
  extern void _Init_environment_protocols__X_function_objects_for_user();
  extern void _Init_environment_protocols__X_domain_objects_for_user();
  extern void _Init_environment_protocols__X_type_objects_for_user();
  extern void _Init_environment_protocols__X_class_objects_for_user();
  extern void _Init_environment_protocols__X_slot_objects_for_user();
  extern void _Init_environment_protocols__X_local_variable_objects_for_user();
  extern void _Init_environment_protocols__X_breakpoint_objects_for_user();
  extern void _Init_environment_protocols__X_stack_frame_objects_for_user();
  extern void _Init_environment_protocols__X_restart_objects_for_user();
  extern void _Init_environment_protocols__X_condition_objects_for_user();
  extern void _Init_environment_protocols__X_duim_objects_for_user();
  extern void _Init_environment_protocols__X_compiler_warning_objects_for_user();
  extern void _Init_environment_protocols__X_code_execution_for_user();
  extern void _Init_environment_protocols__X_profiling_for_user();
  extern void _Init_environment_protocols__X_naming_for_user();
  extern void _Init_environment_protocols__X_channels_for_user();
  extern void _Init_environment_protocols__X_utils_for_user();
  static int initp = 0;
  if (!initp) {
    initp = 1;
    _Init_Run_Time();
    _Init_cl_();
    _Init_memory_manager_();
    _Init_collections_();
    _Init_release_info_();
    _Init_channels_();
    _Init_system_();
    _Init_file_source_records_();
    _Init_source_records_();
    _Init_io_();
    _Init_common_dylan_();
    _Init_dylan_();
    _Init_environment_protocols__X_library_for_system();
    _Init_environment_protocols__X_module_for_system();
    _Init_environment_protocols__X_server_objects_for_system();
    _Init_environment_protocols__X_ids_for_system();
    _Init_environment_protocols__X_environment_objects_for_system();
    _Init_environment_protocols__X_environment_options_for_system();
    _Init_environment_protocols__X_compiler_objects_for_system();
    _Init_environment_protocols__X_application_objects_for_system();
    _Init_environment_protocols__X_application_and_compiler_objects_for_system();
    _Init_environment_protocols__X_project_objects_for_system();
    _Init_environment_protocols__X_name_objects_for_system();
    _Init_environment_protocols__X_compiler_databases_for_system();
    _Init_environment_protocols__X_machines_for_system();
    _Init_environment_protocols__X_processes_for_system();
    _Init_environment_protocols__X_applications_for_system();
    _Init_environment_protocols__X_composite_objects_for_system();
    _Init_environment_protocols__X_user_objects_for_system();
    _Init_environment_protocols__X_foreign_objects_for_system();
    _Init_environment_protocols__X_address_objects_for_system();
    _Init_environment_protocols__X_register_objects_for_system();
    _Init_environment_protocols__X_component_objects_for_system();
    _Init_environment_protocols__X_dylan_objects_for_system();
    _Init_environment_protocols__X_source_form_objects_for_system();
    _Init_environment_protocols__X_expression_objects_for_system();
    _Init_environment_protocols__X_definition_objects_for_system();
    _Init_environment_protocols__X_thread_objects_for_system();
    _Init_environment_protocols__X_namespace_objects_for_system();
    _Init_environment_protocols__X_library_objects_for_system();
    _Init_environment_protocols__X_module_objects_for_system();
    _Init_environment_protocols__X_macro_objects_for_system();
    _Init_environment_protocols__X_variable_objects_for_system();
    _Init_environment_protocols__X_constant_objects_for_system();
    _Init_environment_protocols__X_function_objects_for_system();
    _Init_environment_protocols__X_domain_objects_for_system();
    _Init_environment_protocols__X_type_objects_for_system();
    _Init_environment_protocols__X_class_objects_for_system();
    _Init_environment_protocols__X_slot_objects_for_system();
    _Init_environment_protocols__X_local_variable_objects_for_system();
    _Init_environment_protocols__X_breakpoint_objects_for_system();
    _Init_environment_protocols__X_stack_frame_objects_for_system();
    _Init_environment_protocols__X_restart_objects_for_system();
    _Init_environment_protocols__X_condition_objects_for_system();
    _Init_environment_protocols__X_duim_objects_for_system();
    _Init_environment_protocols__X_compiler_warning_objects_for_system();
    _Init_environment_protocols__X_code_execution_for_system();
    _Init_environment_protocols__X_profiling_for_system();
    _Init_environment_protocols__X_naming_for_system();
    _Init_environment_protocols__X_channels_for_system();
    _Init_environment_protocols__X_utils_for_system();
    _Init_environment_protocols__X_library_for_user();
    _Init_environment_protocols__X_module_for_user();
    _Init_environment_protocols__X_server_objects_for_user();
    _Init_environment_protocols__X_ids_for_user();
    _Init_environment_protocols__X_environment_objects_for_user();
    _Init_environment_protocols__X_environment_options_for_user();
    _Init_environment_protocols__X_compiler_objects_for_user();
    _Init_environment_protocols__X_application_objects_for_user();
    _Init_environment_protocols__X_application_and_compiler_objects_for_user();
    _Init_environment_protocols__X_project_objects_for_user();
    _Init_environment_protocols__X_name_objects_for_user();
    _Init_environment_protocols__X_compiler_databases_for_user();
    _Init_environment_protocols__X_machines_for_user();
    _Init_environment_protocols__X_processes_for_user();
    _Init_environment_protocols__X_applications_for_user();
    _Init_environment_protocols__X_composite_objects_for_user();
    _Init_environment_protocols__X_user_objects_for_user();
    _Init_environment_protocols__X_foreign_objects_for_user();
    _Init_environment_protocols__X_address_objects_for_user();
    _Init_environment_protocols__X_register_objects_for_user();
    _Init_environment_protocols__X_component_objects_for_user();
    _Init_environment_protocols__X_dylan_objects_for_user();
    _Init_environment_protocols__X_source_form_objects_for_user();
    _Init_environment_protocols__X_expression_objects_for_user();
    _Init_environment_protocols__X_definition_objects_for_user();
    _Init_environment_protocols__X_thread_objects_for_user();
    _Init_environment_protocols__X_namespace_objects_for_user();
    _Init_environment_protocols__X_library_objects_for_user();
    _Init_environment_protocols__X_module_objects_for_user();
    _Init_environment_protocols__X_macro_objects_for_user();
    _Init_environment_protocols__X_variable_objects_for_user();
    _Init_environment_protocols__X_constant_objects_for_user();
    _Init_environment_protocols__X_function_objects_for_user();
    _Init_environment_protocols__X_domain_objects_for_user();
    _Init_environment_protocols__X_type_objects_for_user();
    _Init_environment_protocols__X_class_objects_for_user();
    _Init_environment_protocols__X_slot_objects_for_user();
    _Init_environment_protocols__X_local_variable_objects_for_user();
    _Init_environment_protocols__X_breakpoint_objects_for_user();
    _Init_environment_protocols__X_stack_frame_objects_for_user();
    _Init_environment_protocols__X_restart_objects_for_user();
    _Init_environment_protocols__X_condition_objects_for_user();
    _Init_environment_protocols__X_duim_objects_for_user();
    _Init_environment_protocols__X_compiler_warning_objects_for_user();
    _Init_environment_protocols__X_code_execution_for_user();
    _Init_environment_protocols__X_profiling_for_user();
    _Init_environment_protocols__X_naming_for_user();
    _Init_environment_protocols__X_channels_for_user();
    _Init_environment_protocols__X_utils_for_user();
  }
}
